For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tags

Get all tags for a store

get
Authorizations
AuthorizationstringRequired

An API Key token generated in the Dashboard in the format 'APIKey TOKEN_HERE'.

Path parameters
storeIdstring · flake-idRequiredExample: 411486491630370816
Responses
200

OK

application/json
idstring · flake-idRequiredExample: 411486491630370816
store_idstring · flake-idRequiredExample: 411486491630370816
created_atstring · date-timeRequired

When the tag was created

namestringRequired

The unique name for the tag.

slugstringRequired

The unique slug for the tag.

descriptionstring · nullableOptional

The description of the tag.

image_urlstring · nullableOptional

The Image URL associated with the tag.

enabledbooleanRequired

Indicates whether this tag is enabled.

updated_atstring · nullableOptional

When the tag was last updated.

get/v1/stores/{storeId}/tags
GET /v1/stores/{storeId}/tags HTTP/1.1
Authorization: APIKey TOKEN_HERE
Accept: */*
[
  {
    "id": "411486491630370816",
    "store_id": "411486491630370816",
    "created_at": "2026-01-01T00:00:00.000Z",
    "created_by": {
      "type": "anonymous",
      "id": "411486491630370816"
    },
    "name": "text",
    "slug": "text",
    "description": null,
    "image_url": null,
    "enabled": true,
    "updated_at": null,
    "updated_by": {
      "type": "anonymous",
      "id": "411486491630370816"
    }
  }
]

Create a new tag

post
Authorizations
AuthorizationstringRequired

An API Key token generated in the Dashboard in the format 'APIKey TOKEN_HERE'.

Path parameters
storeIdstring · flake-idRequiredExample: 411486491630370816
Body
namestring · nullableOptional
slugstring · nullableOptional
descriptionstring · nullableOptional
enabledboolean · nullableOptional
Responses
200

OK

application/json
idstring · flake-idRequiredExample: 411486491630370816
store_idstring · flake-idRequiredExample: 411486491630370816
created_atstring · date-timeRequired

When the tag was created

namestringRequired

The unique name for the tag.

slugstringRequired

The unique slug for the tag.

descriptionstring · nullableOptional

The description of the tag.

image_urlstring · nullableOptional

The Image URL associated with the tag.

enabledbooleanRequired

Indicates whether this tag is enabled.

updated_atstring · nullableOptional

When the tag was last updated.

post/v1/stores/{storeId}/tags
POST /v1/stores/{storeId}/tags HTTP/1.1
Authorization: APIKey TOKEN_HERE
Content-Type: application/json
Accept: */*
Content-Length: 59

{
  "name": null,
  "slug": null,
  "description": null,
  "enabled": null
}
{
  "id": "411486491630370816",
  "store_id": "411486491630370816",
  "created_at": "2026-01-01T00:00:00.000Z",
  "created_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  },
  "name": "text",
  "slug": "text",
  "description": null,
  "image_url": null,
  "enabled": true,
  "updated_at": null,
  "updated_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  }
}

Get a tag by an ID

get
Authorizations
AuthorizationstringRequired

An API Key token generated in the Dashboard in the format 'APIKey TOKEN_HERE'.

Path parameters
storeIdstring · flake-idRequiredExample: 411486491630370816
tagIdstring · flake-idRequiredExample: 411486491630370816
Responses
200

OK

application/json
idstring · flake-idRequiredExample: 411486491630370816
store_idstring · flake-idRequiredExample: 411486491630370816
created_atstring · date-timeRequired

When the tag was created

namestringRequired

The unique name for the tag.

slugstringRequired

The unique slug for the tag.

descriptionstring · nullableOptional

The description of the tag.

image_urlstring · nullableOptional

The Image URL associated with the tag.

enabledbooleanRequired

Indicates whether this tag is enabled.

updated_atstring · nullableOptional

When the tag was last updated.

get/v1/stores/{storeId}/tags/{tagId}
GET /v1/stores/{storeId}/tags/{tagId} HTTP/1.1
Authorization: APIKey TOKEN_HERE
Accept: */*
{
  "id": "411486491630370816",
  "store_id": "411486491630370816",
  "created_at": "2026-01-01T00:00:00.000Z",
  "created_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  },
  "name": "text",
  "slug": "text",
  "description": null,
  "image_url": null,
  "enabled": true,
  "updated_at": null,
  "updated_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  }
}

Delete a tag by ID

delete
Authorizations
AuthorizationstringRequired

An API Key token generated in the Dashboard in the format 'APIKey TOKEN_HERE'.

Path parameters
storeIdstring · flake-idRequiredExample: 411486491630370816
tagIdstring · flake-idRequiredExample: 411486491630370816
Responses
204

No Content

No content

delete/v1/stores/{storeId}/tags/{tagId}
DELETE /v1/stores/{storeId}/tags/{tagId} HTTP/1.1
Authorization: APIKey TOKEN_HERE
Accept: */*

No content

Update a tag by ID

patch
Authorizations
AuthorizationstringRequired

An API Key token generated in the Dashboard in the format 'APIKey TOKEN_HERE'.

Path parameters
storeIdstring · flake-idRequiredExample: 411486491630370816
tagIdstring · flake-idRequiredExample: 411486491630370816
Body
namestring · nullableOptional
slugstring · nullableOptional
descriptionstring · nullableOptional
enabledboolean · nullableOptional
Responses
200

OK

application/json
idstring · flake-idRequiredExample: 411486491630370816
store_idstring · flake-idRequiredExample: 411486491630370816
created_atstring · date-timeRequired

When the tag was created

namestringRequired

The unique name for the tag.

slugstringRequired

The unique slug for the tag.

descriptionstring · nullableOptional

The description of the tag.

image_urlstring · nullableOptional

The Image URL associated with the tag.

enabledbooleanRequired

Indicates whether this tag is enabled.

updated_atstring · nullableOptional

When the tag was last updated.

patch/v1/stores/{storeId}/tags/{tagId}
PATCH /v1/stores/{storeId}/tags/{tagId} HTTP/1.1
Authorization: APIKey TOKEN_HERE
Content-Type: application/json
Accept: */*
Content-Length: 59

{
  "name": null,
  "slug": null,
  "description": null,
  "enabled": null
}
{
  "id": "411486491630370816",
  "store_id": "411486491630370816",
  "created_at": "2026-01-01T00:00:00.000Z",
  "created_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  },
  "name": "text",
  "slug": "text",
  "description": null,
  "image_url": null,
  "enabled": true,
  "updated_at": null,
  "updated_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  }
}

Get upload URL for tag image

get

Gets a pre-signed upload URL for uploading an image to a tag

Authorizations
AuthorizationstringRequired

An API Key token generated in the Dashboard in the format 'APIKey TOKEN_HERE'.

Path parameters
storeIdstring · flake-idRequiredExample: 411486491630370816
tagIdstring · flake-idRequiredExample: 411486491630370816
Responses
200

OK

application/json
idstringRequired

The ID of the direct image upload URL.

upload_urlstringRequired

The URL to upload the image to.

get/v1/stores/{storeId}/tags/{tagId}/image-upload-url
GET /v1/stores/{storeId}/tags/{tagId}/image-upload-url HTTP/1.1
Authorization: APIKey TOKEN_HERE
Accept: */*
{
  "id": "text",
  "upload_url": "text"
}

Finish tag image upload

post

Finishes an image upload for a tag

Authorizations
AuthorizationstringRequired

An API Key token generated in the Dashboard in the format 'APIKey TOKEN_HERE'.

Path parameters
storeIdstring · flake-idRequiredExample: 411486491630370816
tagIdstring · flake-idRequiredExample: 411486491630370816
Body
image_idstringRequired

The ID of the uploaded image returned by the server.

Responses
204

No Content

No content

post/v1/stores/{storeId}/tags/{tagId}/image-upload-finish
POST /v1/stores/{storeId}/tags/{tagId}/image-upload-finish HTTP/1.1
Authorization: APIKey TOKEN_HERE
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "image_id": "text"
}

No content

Delete tag image

delete

Deletes an image for a tag

Authorizations
AuthorizationstringRequired

An API Key token generated in the Dashboard in the format 'APIKey TOKEN_HERE'.

Path parameters
storeIdstring · flake-idRequiredExample: 411486491630370816
tagIdstring · flake-idRequiredExample: 411486491630370816
Responses
204

No Content

No content

delete/v1/stores/{storeId}/tags/{tagId}/image
DELETE /v1/stores/{storeId}/tags/{tagId}/image HTTP/1.1
Authorization: APIKey TOKEN_HERE
Accept: */*

No content

Last updated

Was this helpful?